{
    "clock": {
        "enabled": false,
        "format": "%I:%M %p",
        "update_interval": 1
    },
    "color_map": {
        "blue": [
            0,
            0,
            255
        ],
        "cyan": [
            0,
            255,
            255
        ],
        "green": [
            0,
            255,
            0
        ],
        "magenta": [
            255,
            0,
            255
        ],
        "orange": [
            255,
            165,
            0
        ],
        "purple": [
            128,
            0,
            128
        ],
        "red": [
            255,
            0,
            0
        ],
        "white": [
            255,
            255,
            255
        ],
        "yellow": [
            255,
            255,
            0
        ]
    },
    "display": {
        "display_durations": {
            "clock": 15,
            "eojhl_live": 15,
            "eojhl_recent": 15,
            "eojhl_upcoming": 15,
            "leaderboard": 300
        },
        "hardware": {
            "brightness": 80,
            "chain_length": 2,
            "cols": 64,
            "disable_hardware_pulsing": false,
            "hardware_mapping": "adafruit-hat-pwm",
            "inverse_colors": false,
            "limit_refresh_rate_hz": 100,
            "parallel": 1,
            "pwm_bits": 9,
            "pwm_dither_bits": 1,
            "pwm_lsb_nanoseconds": 130,
            "rows": 32,
            "scan_mode": 0,
            "show_refresh_rate": false
        },
        "runtime": {
            "gpio_slowdown": 4
        },
        "use_short_date_format": true
    },
    "eojhl_scoreboard": {
        "display_modes": {
            "eojhl_live": true,
            "eojhl_recent": true,
            "eojhl_upcoming": true
        },
        "enabled": true,
        "favorite_teams": [
            "RCH"
        ],
        "live_game_duration": 20,
        "live_priority": true,
        "live_update_interval": 30,
        "logo_dir": "assets/sports/eojhl_logos",
        "recent_games_to_show": 1,
        "recent_update_interval": 3600,
        "show_all_live": true,
        "show_favorite_teams_only": true,
        "show_home_away": true,
        "show_odds": false,
        "show_records": true,
        "show_shots_on_goal": true,
        "status_titles": {
            "AWAY_GAME": "NEXT AWAY GAME",
            "GAME_DAY": "GAME DAY",
            "HOME_GAME": "NEXT HOME GAME",
            "RECENT_GAME": "LAST GAME RESULT"
        },
        "test_mode": false,
        "title_colors": {
            "AWAY_GAME": [
                0,
                255,
                128
            ],
            "GAME_DAY": [
                255,
                255,
                0
            ],
            "HOME_GAME": [
                0,
                200,
                255
            ],
            "RECENT_GAME": [
                0,
                51,
                204
            ]
        },
        "upcoming_games_to_show": 3,
        "upcoming_update_interval": 3600,
        "update_interval_seconds": 3600
    },
    "leaderboard": {
        "conference_spacing": 60,
        "dynamic_duration": true,
        "enabled": true,
        "enabled_sports": {
            "eojhl": {
                "enabled": true,
                "level": 1,
                "season": 2025,
                "sort": "winpercent:desc,gamesbehind:asc",
                "top_teams": 10
            }
        },
        "logo_hold": 3,
        "logo_intro_hold": 0,
        "logo_spacing": 20,
        "loop": false,
        "max_display_time": 600,
        "min_duration": 30,
        "request_timeout": 30,
        "scroll_delay": 0.01,
        "scroll_speed": 1,
        "show_record": false,
        "update_interval": 3600
    },
    "league_order": {
        "cchl": 2,
        "eojhl": 1
    },
    "location": {
        "city": "Ottawa",
        "country": "CA",
        "state": "Ontario"
    },
    "schedule": {
        "enabled": true,
        "start_time": "08:00",
        "end_time": "23:00"
    },
    "sponsors": {
        "barleymow": {
            "details_row1": "R",
            "details_row2": "",
            "enabled": true,
            "pngabbr": "barleymow",
            "show_details": false
        },
        "bluediamond": {
            "details_row1": "",
            "details_row2": "",
            "enabled": true,
            "pngabbr": "bluediamond",
            "show_details": false
        },
        "bmr": {
            "details_row1": "BMR",
            "details_row2": "Richmond",
            "enabled": true,
            "pngabbr": "bmr",
            "show_details": true
        },
        "btlock": {
            "details_row1": "Bytown Lock",
            "details_row2": "Commercial",
            "enabled": true,
            "pngabbr": "btlock",
            "show_details": true
        },
        "details_duration": 5,
        "details_row1_colour": "#ffffff",
        "details_row1_font_size": 8,
        "details_row2_colour": "#0000fa",
        "details_row2_font_size": 8,
        "duration": 14,
        "eardley": {
            "details_row1": "",
            "details_row2": "",
            "enabled": true,
            "pngabbr": "eardley",
            "show_details": false
        },
        "enabled": true,
        "enabled_sponsors": [
            "barleymow",
            "bluediamond",
            "bmr",
            "btlock",
            "eardley",
            "legion",
            "royalsresto",
            "sbdodge"
        ],
        "legion": {
            "details_row1": "",
            "details_row2": "",
            "enabled": true,
            "pngabbr": "legion",
            "show_details": false
        },
        "logo_duration": 5,
        "logo_scale": 1,
        "loop": true,
        "royalsresto": {
            "details_row1": "",
            "details_row2": "",
            "enabled": true,
            "pngabbr": "royalsresto",
            "show_details": false
        },
        "sbdodge": {
            "details_row1": "",
            "details_row2": "",
            "enabled": true,
            "pngabbr": "sbdodge",
            "show_details": false
        },
        "show_all": true,
        "show_details": true,
        "show_num_sponsors": 3,
        "title_duration": 5,
        "title_row1": "Thank you to",
        "title_row1_colour": "#FFFFFF",
        "title_row1_font_size": 8,
        "title_row2": "Our Sponsors",
        "title_row2_colour": "#0000FA",
        "title_row2_font_size": 8
    },
    "team_info": {
        "duration": 10,
        "enabled": true,
        "gap": 5,
        "logo_dir": "assets/team/eojhl",
        "team_abbr": "RCH",
        "team_txt_colour": "blue",
        "team_txt_font_size": 8,
        "team_txt_row1": "Richmond",
        "team_txt_row2": "Royals"
    },
    "timezone": "America/Toronto",
    "transitions": {
        "cut_duration": 0.2,
        "easing": true,
        "enabled": true,
        "fade_duration": 0.4,
        "fade_steps": 6
    },
    "web_display_autostart": true
}